@charset "utf-8";

/*反白顏色*/
::-moz-selection{  background-color: #6CACDE;  color: #fff;}
::selection{  background-color: #6CACDE;  color: #fff;}
:root {
    --MainColor: #1C2E5E;
    --SubColor:#6CACDE;
    --SFontEN:"Poppins", sans-serif;
    --FontColor:#221814;
    --f56: 56px;
    --f48: 48px;
    --f42: 42px;
    --f40: 40px;
    --f36: 36px;
    --f32: 32px;
    --f28: 28px;
    --f24: 24px;
    --f22: 22px;
    --f20: 20px;
    --f18: 18px;
    --f17: 17px;
    --f16: 16px;
    --pd80:80px;
}

body {
    font-family: var(--SFont);
    letter-spacing: .1rem;
    color: var(--FontColor);
}
.main_part {max-width: 1400px;padding: var(--pd80) 0;width: 94%;}
.path{display: none;}


/*
關於CSS設定說明
CSS屬性是會繼承的，而且還是由上往下繼承。
同樣元素設定16px 後 12px 再 15px 最後會以最後設定的15px為準
但是有兩種情況除外:
1.絕對路徑命名. 如: .xx .yy .zz p {設定值;}
2.important.  如: .xx p {設定值 !important;}

CSS3選取器語法 :nth-child(n) 

*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*上方選單解除滑動固定
.header_area.sticky { position:relative;}
*/
.header_area, .header_area.sticky {
    position: fixed;
    top: 0;
    background: #FFF;
    padding: 0;
    transition: all .5s;
    border-bottom: 1px solid transparent;
}
.header_area.sticky {
    border-bottom: 1px solid #eee;
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.05); 
}

.nav-header {    max-width: 80px;}


/*上方選單右邊設定 臉書/LINE/電話/信箱
.tp_links a:before {寬高大小設定}
.tp_links a.me_tp_fb {}
.tp_links a.me_tp_fb:before {背景換圖/建議.SVG}
.tp_links a.me_tp_line {}
.tp_links a.me_tp_line:before {背景換圖/建議.SVG}
.tp_links a.me_tp_call {}
.tp_links a.me_tp_call:before {背景換圖/建議.SVG}
.tp_links a.me_tp_mail {}
.tp_links a.me_tp_mail:before {背景換圖/建議.SVG}
*/
.tp_links {display: none;}

/*浮動按鈕-展開*/

.info_fix_links {    display: flex !important;}
.linksBtn, a.info_fix_default.info_fix_mail {    display: none;}
a.info_fix_default.info_fix_fb {    background: #4267B2;}
a.info_fix_default.info_fix_line {    background: #00B900;}
a.info_fix_default.info_fix_tel {    background: orange;}
a.info_fix_default.info_fix_ig {
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fdf497 5%, #fd5949 45%, #d6249f 60%, #285aeB 90%);
}

/*第一層*/
.stellarnav > ul > li > a {
    transition: all 0.3s;
    padding: 0 10px;
}
.stellarnav > ul > li:hover > a{color: var(--SubColor);}

/*下拉線條箭頭
.stellarnav li.has-sub>a:after {
    position: absolute;
    top: 38%;
    right: 5px;
    height: 7px;
    width: 7px;
    display: block;
    border-style: solid;
    border-width: 0 1px 1px 0;
    border-color: transparent var(--MainColor) var(--MainColor) transparent;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
*/

/*第二層*/
.stellarnav li li > a , .stellarnav li li.has-sub > a{    padding: 7px 5px;    transition: all 0.3s;border-left:1px solid transparent;}
.stellarnav li li:hover > a , .stellarnav li li.has-sub:hover > a{color: var(--SubColor);	padding-left:10px;border-color:var(--SubColor) ;}

/*下拉第二層箭頭
.stellarnav li li.has-sub > a:after {
    position: absolute;
    top: 38%;
    right: 5px;
    height: 7px;
    width: 7px;
    display: block;
    border-style: solid;
    border-width: 0 1px 1px 0;
    border-color: transparent var(--MainCOlor) var(--MainCOlor) transparent;
    -webkit-transform: rotate(315deg);
    transform: rotate(315deg);
}
*/


/* 商品下拉超過30個變大 */
.stellarnav.desktop li.bigMenu>ul{display: grid; grid-template-columns: repeat(auto-fill, minmax(220px, 1fr)); left: 0; width: 100%; position: fixed; padding: 20px;}
.stellarnav.desktop li.bigMenu ul ul{top: 100%; left: 0; width: 100%; background: #efefef; height: auto; max-height: 300px; overflow: auto;}
.stellarnav.desktop li.bigMenu ul ul li{margin: 0;} 
.stellarnav.hasBigMenu li.bigMenu li.has-sub > a:after{border-left: 6px solid transparent; border-bottom:unset; border-right: 6px solid transparent; border-top: 6px solid #898989; right: 5px;}
/* 主分類超過30個但次分類直接顯示 
.stellarnav.desktop li.bigMenu>ul{grid-gap: 10px;}
.stellarnav.desktop li.bigMenu li{border: 0;}
.stellarnav.desktop li.bigMenu>ul>li>a{border: 1px solid #ddd;}
.stellarnav.desktop li.bigMenu ul ul{display: block !important; position: relative; top: 0; background: unset; border: 0;}
.stellarnav.desktop li.bigMenu ul ul li{border: 0;}
 主分類超過30個但次分類直接顯示-結束 */

/* 商品下拉超過30個--結束 */



/* = = = footer = = = = = = = = = == = = = = = = = = = = = = = = == = = */
.footer {
    padding-top: 50px;
    background: #fff;
}
.footer_info {    grid-template-columns: 200px 1fr;}
.footer_logo {    max-width: 135px;}
.footer_menu a:hover {    background: var(--MainColor);}
.box_link{display: none;}

/* = = = 大圖 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

.bannerindex {
    position: relative;
}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/*預設購物車版面 產品分類選單在左側 商品內頁詳細介紹下表單更改樣式 by shint at 2025.12.18  */
.product_page .main_part { max-width:1500px;}

.product_page .show_content,
.product_info_page .show_content { display: flex; justify-content: space-between; flex-wrap: wrap; align-items: flex-start; align-content: flex-start; width: 100%;}
ul.page { width: 100%;}

.ProdFilter_Item_Show { width: 100%;}
.Prods_Menulists { width: 100%; padding: 0;}
.Prods_Wrap { width: calc(100% - 270px);}

/* 篩選器-左手邊 / 產品分類-上面
.ProdFilter_ { order: 2;}
.Prods_Menulists { order: 1;}
.Prods_Wrap { order: 3;}
.ProdFilter_ { width: 250px; letter-spacing: 1px;}
.ProdFilter_ li { width: 100%;}
.ProdFilter_ li > a { background: #f3f3f3; border: none; border-bottom: 3px #ddd solid;}
.ProdFilter_ dl { position: static; width: 100%; display: block;}
*/

/* 產品分類-左手邊 / 篩選器-上面 */

.ProdFilter_ { order: 1; margin-bottom: 25px;}
.Prods_Menulists { order: 2;}
.Prods_Wrap { order: 3;}
.Prods_Menulists { width: 250px; letter-spacing: 1px;}
.Prods_Menulists ul {}
.Prods_Menulists > ul > li { width: 100%; flex-wrap: wrap;}
.Prods_Menulists ul ul { position: static; border: none;}
.Prods_Menulists ul li ul li {}
.Prods_Menulists li.has-sub.open > a { background: #f0f0f0;}

.product_info_page .half_box { width: 100%; float: none; padding-right: 0;}
.product_info_page .half_box li.btn_blankTop { margin-top: 50px; justify-content: space-between; display: flex;}
.product_info_page .half_box li.btn_blankTop input { width: calc(50% - 10px); background-image: none; padding: 0; text-align: center;}


/*相關推薦*/
.prod_related {
    padding: 60px 20px;
    background-color: var(--SubColor);
}
.prod_related h6 {    margin-bottom: 30px;}
.prod_related h6 span:before {
    font-size: var(--f24);
    color: var(--titlecolor);
}
.related_list li a {
    padding: 11px;
    background: var(--SubColor);
    box-shadow: #f1b1b130 0px 10px 50px;
}


@media screen and (max-width: 1200px) {
}
@media screen and (max-width: 1024px) {
.product_main { display: block; width: 100%;}    
.sidebarBtn { display: block; width: 100%;}
}
@media screen and (max-width: 980px) {
}
@media screen and (max-width: 768px) {
/* 篩選器-左手邊 / 產品分類-上面
.Prods_Wrap { width: 100%;}
.ProdFilter_ { width: 100%;}
.ProdFilter_Item_Show { width: calc(100% - 110px);}
.ProdFilter_ { order: 1;}
.Prods_Menulists { order: 2;}
.ProdFilter_ li > a span { color: #333;}
*/

.Prods_Wrap { width: 100%; margin-top: 20px;}
.ProdFilter_ { width: 100%;}
.Prods_Menulists { opacity: 0; display: none;}

}
@media screen and (max-width: 600px) {
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* 2025.12.26 中間放大*/
.BannerHome02 .swiper-slide-active img { transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide img { transition: transform 5s ease-out; will-change: transform; transform: scale(1);}
.BannerHome02 .swiperBan02 .swiper-slide-active img { transform: scale(1.06);}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */




/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*內頁BANNER 設定*/
.banner {}
.banner h5 {}
.banner.banA {}
.banner.banB {}
.banner.banC {}
.banner.banD {}
.banner.banE {}
.banner.banblog {}
.banner.banDesign { background-color:#333;}

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*文章設定*/
/*一排呈現
.subbox_item { width:100%;}
.blog_subbox {
    grid-template-columns: repeat(3, 1fr);
}
.subbox_item a {
    grid-template-columns: 1fr;
}

*/

/*文章-相關推薦*/
.news_related {
    padding: 80px 15px;
    margin-top: 50px;
    background: var(--SurfaceBg);
}
.news_related h6{    margin-bottom: 30px;}
.news_related h6 span:before {
    font-size: var(--f24);
    color: var(--MainColor);
    font-weight: 400;
}
.news_related_list li > a {
    padding: 11px;
    background: var(--bgwhite);
    box-shadow: #c5a58575 0px 10px 50px;
}


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

.show-list, .pic-list {
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 30px;
}

.show-list .show_pic img, .pic-list .show_pic img {
    transition: transform 1500ms cubic-bezier(0.19, 1, 0.22, 1);
    transform: scale(1);
}
.show-list .item a:hover .show_pic img, .pic-list .item a:hover .show_pic img  {
    transform: scale(1.2);
}

/*相本分類全版面 ( 限制最寬2000px
.work_page .main_part { max-width:2000px;}
.work_page .show_content { padding:0; width:100%;}
.work_page .show-list .item { width:33%; display:inline-block; float:none; margin:0; padding:0;}
@media screen and (max-width: 768px) {
.work_page .show-list .item { width:49%;}
}
@media screen and (max-width: 570px) {
.work_page .show-list .item { width:100%;}
}
.work_page .show-list .item a { max-width:100%;}
.work_page .show-list .show_pic { height:auto; line-height:0;}
.work_page .show-list .show_pic img { max-width:100%; max-height:100%;}
.work_page .show-list .show_name { position:absolute; top:50%; right:10%; width:80%; height:auto; line-height:160%; font-size: 20px; color: #FFFFFF !important; border: solid 1px #fff; text-align: center; margin: -20px 0 0 -120px; padding:5px 20px; transition:all ease-in .3s; opacity:0;}
.work_page .show-list .item:hover .show_name {opacity:1;}
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */


/*相本列表
.work_info_page .main_part { max-width:2000px;}
.work_info_page .show_content { padding:0; width:100%;}
.work_info_page .subalbum-menu { text-align:center;}
.work_info_page .subalbum-menu h2 { float:none;}
.work_info_page .pic-list .item { margin:0; padding:10px; width:49%; float:none; display:inline-block;}
@media screen and (max-width: 768px) {
.work_info_page .pic-list .item { width:100%;}
}
.work_info_page .pic-list .show_pic { height:auto; line-height:0;}
.work_info_page .pic-list .show_pic img { max-width:100%; max-height:100%;}
.work_info_page .pic-list .item a { max-width:100%; pointer-events: none; cursor: default; } 取消連結被點擊效果
*/


/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

/* = = = 分隔線 = = = = = = = = = == = = = = = = = = = = = = = = == = = */

@media (max-width:1024px) {
    :root {
        --f54: 48px;
        --f48: 40px;
        --f42: 38px;
        --f40: 36px;
        --f36: 32px;
        --f32: 28px;
        --f28: 24px;
        --f24: 22px;
        --f22: 20px;
        --pd80:60px;
    }
    .header_area, .header_area.sticky {
        position: sticky; 
    }
}


@media screen and (max-width: 768px) {
    :root {
        --f54: 36px;
        --f48: 32px;
        --f42: 30px;
        --f40: 28px;
        --f36: 26px;
        --f32: 24px;
        --f28: 20px;
        --f24: 20px;
        --f20: 18px;
        --f18: 17px;
        --f17: 16px;
    }
/* 開啟手機板下方按鈕所需設定 */
#bottom_menu {}
.footer.with_shopping_mode { padding:30px 0 70px; }
#to_top { bottom:60px;}

/*漢堡選單*/
.stellarnav .menu-toggle:after {    color: var(--MainColor);}
.stellarnav .menu-toggle span.bars span {    background: var(--MainColor);}
.stellarnav.mobile.left > ul {    border: none;}
.stellarnav.mobile.right .close-menu, .stellarnav.mobile.left .close-menu {    background: var(--MainColor); color: #fff;}
.stellarnav .icon-close:before, .stellarnav .icon-close:after {    border-bottom: solid 2px #ffffff;}
.stellarnav a.dd-toggle .icon-plus:before, .stellarnav a.dd-toggle .icon-plus:after {    border-bottom: solid 2px var(--MainColor);}/*下拉關掉*/
.stellarnav.mobile li.open {    background: var(--bgcolor);}/*下拉*/
.stellarnav > ul > li > a {        color: var(--MainColor);    }
}


@media (max-width:600px) {
    :root {
        --f54: 32px;
        --f48: 28px;
        --f42: 26px;
        --f40: 24px;
        --f36: 22px;
        --f32: 20px;
        --f28: 18px;
        --f24: 18px;
        --f22: 18px;
        --f20: 17px;
        --f18: 16px;
        --f17: 15px;
        --f16: 15px;
        --pd80:40px;
    }

    ul.show-list, .pic-list {    grid-template-columns: 1fr;}

    .module_i_news ul, .blog_subbox  {    grid-template-columns: 1fr;}
}

@media (max-width:375px) {
    :root {
        --f54: 28px;
        --f48: 24px;
        --f42: 22px;
        --f40: 20px;
        --f36: 18px;
        --f32: 18px;
        --f28: 17px;
        --f24: 17px;
        --f22: 17px;
        --f20: 16px;
        --f18: 15px;
    }
}



